This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 885984 - Error message includes data on unclear property alias of vm_device
Error message includes data on unclear property alias of vm_device
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.1
Unspecified All
medium Severity low
: ---
: 3.2.0
Assigned To: Vered Volansky
Leonid Natapov
storage
:
Depends On: 872165 882660
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-11 04:02 EST by Vered Volansky
Modified: 2016-02-10 14:53 EST (History)
11 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 882660
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vered Volansky 2012-12-11 04:02:22 EST
+++ This bug was initially created as a clone of Bug #882660 +++

Created attachment 656026 [details]
engine log

[Upgrade] [Storage] [Hot Plug] Error message on each plug or unplug disk on NFS storage although the plug and unplug successful. 

How to reproduce:
1.Create Vm with several disks.
2.Start VM.
3.Plug and unplug disk.

Reproduces 100% on several environments on NFS storage.
Doesn't happen on FC Storage. Probably won't happen on ISCSI too.

2012-12-02 15:30:54,160 ERROR [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-69) VM d96ab89d-30f3-4b97-bd09-e6cb97068e0a managed non pluggable device was removed unexpectedly from libvirt: VmDevice {vmId=d96ab89d-30f3-4b97-bd09-e6cb97068e0a, deviceId=66324a57-8dbf-4e80-a26e-edfd7037dd3a, device=disk, type=disk, bootOrder=0, specParams={}, address={bus=0x00, domain=0x0000, type=pci, slot=0x0a, function=0x0}, managed=true, plugged=false, readOnly=false, alias=virtio-disk2}

The error message alias property is a bit unclear: "alias=virtio-disk2" (yet correct). This is not the disk alias, which might be implied, but the device alias. This can probably be solved in VMDevice.toString().


Full log attached.
Comment 1 Vered Volansky 2012-12-11 05:12:55 EST
Error message fixed:
VMDevice.toString(): alias was replaced with deviceAlias.

submitted patch - http://gerrit.ovirt.org/#/c/9837/
Change-Id: I28720d0d843c9be4225437bd8f8b39c981fab1e5
Comment 2 Allon Mureinik 2012-12-11 05:22:40 EST
merged upstream
Comment 3 Leonid Natapov 2013-01-21 07:59:42 EST
sf3
Comment 4 Itamar Heim 2013-06-11 05:46:06 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:46:19 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:56:18 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.